Package: org.grails.gradle.plugin.model

## [Groovy] Interface GrailsClasspath

- Gradle ToolingModel class that is used to return Classpath to Grails cli this file is also in grails-shell project

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.List<java.net.URL>` | `getDependencies()` @return All Grails dependencies, pull from 'testRuntime' scope
    `` | `java.lang.String` | `getError()` @return The error message if one occurred
    `` | `java.util.List<java.net.URL>` | `getProfileDependencies()` @return The profile dependencies

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### java.util.List<java.net.URL> getDependencies()

      Returns:
        All Grails dependencies, pull from 'testRuntime' scope

    - #### java.lang.String getError()

      Returns:
        The error message if one occurred

    - #### java.util.List<java.net.URL> getProfileDependencies()

      Returns:
        The profile dependencies